using EFC_GO;
using EFCore_Kontext;
using System.Collections.Generic;
using System.Linq;

namespace ASPNETCore_NETCore.BL
{
 public class FlugManager
 {
  private WWWingsContext ctx;

  /// <summary>
  /// Konstruktor
  /// </summary>
  /// <param name="ctx">Kontextinstanz kommt per DI!</param>
  public FlugManager(WWWingsContext ctx)
  {
   this.ctx = ctx;
  }

  public List<Flug> GetFlugSet(string abflugort, int von, int bis)
  {
   var flugSet = ctx.Flug
    .Where(x => x.Abflugort == abflugort)
    .Skip(von).Take(bis - von).ToList();
   return flugSet.ToList();
  }
 }
}
